package j_risk;

/**
 *  <font face="">Cuando es el momento de jugar: </font>
 *    
 *        <p style="margin-top: 0">
 *      <font face="">1.- Crea el tablero. </font><br><font face="">2.- Se 
 *      asigna territorios y cartas a los jugadores. </font><br>3.- Se tira los 
 *      dados.<br>4.- Controla las acciones (Atacar, defender, tranferir 
 *      ejercitos).<br>5.- Controla el cambio de jugador (fin del turno).<br>6.- 
 *      Muestra por pantalla el ganador.<br>
 *        </p>
 */
// <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
// #[regen=yes,id=DCE.BE1EE0A4-09F2-5B19-02C0-D8B08AE51BC6]
// </editor-fold> 
public class Juego_Principal {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.01A4084A-5663-19FD-D5BC-2D52FB063431]
    // </editor-fold> 
    private int num_jugadores;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.0CA6C2E5-3786-3B7E-4D01-A44948F06BFC]
    // </editor-fold> 
    private int modo_juego;
    
    private Jugador jugadores[];

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.58B9BDB8-15F8-5ACA-9C07-57502DBB4FF8]
    // </editor-fold> 
    public Juego_Principal (int n_jug) {
        this.num_jugadores = n_jug;
        jugadores = new Jugador[num_jugadores];
        
        for(int i=0; i<num_jugadores; i++)
        {
            int num = i+1;
            jugadores[i] = new Jugador("Jugador"+num,num);
        }
 
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9C23543C-B29F-DF0E-3D0D-4EDC55E51CD3]
    // </editor-fold> 
    public void jugar () {
        int op = 0;
        int jug_turno = 0;
        
        do{
            System.out.println("-------------------------------------------------------");
            System.out.println("1.- Mostrar jugador en turno.");
            System.out.println("2.- Modo de Ataque.");
            System.out.println("3.- Invadir Territorio conquistado.");
            System.out.println("4.- Ubicar Tropas.");
            System.out.println("5.- Cambiar Cartas.");
            System.out.println("6.- Terminar Turno del jugador en curso.");
            System.out.println("7.- Salir del programa");
            System.out.print("Escoja una opción: ");
            op = Teclado.readInt();
            System.out.println("-------------------------------------------------------");
            
            switch(op)
            {
                case 1:{ System.out.println("Hola soy la persona " + jugadores[jug_turno].getNombre_jug()+
                         " y este es mi turno!");
                       }
                    break;
                case 2:{ System.out.println(jugadores[jug_turno].getNombre_jug()+
                         ". Esta en modo de ataque.");
                       }
                    break;
                case 3:{ System.out.println(jugadores[jug_turno].getNombre_jug()+
                         ". Esta invadiendo el territorio conquistado.");
                       }
                    break;
                case 4:{ System.out.println(jugadores[jug_turno].getNombre_jug()+
                         ". Esta ubicando las tropas en mis territorios.");
                       }
                    break;    
                case 5:{ System.out.println(jugadores[jug_turno].getNombre_jug()+
                         ". Estoy cambiando las cartas por tropas.");
                       }
                    break;
                case 6:{ System.out.println("Fin de turno del jugador " + jugadores[jug_turno].getId_jug()); 
                    
                         jug_turno++;
                         jug_turno = jug_turno % num_jugadores;
                       }
                    break;
                
                default:
                    System.out.println("Saliento del programa...");
            }
        }while(op != 7);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D2400125-5319-0A6E-7499-50E3918C2398]
    // </editor-fold> 
    public int getModo_juego () {
        return 0;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.8CC0F906-FC21-44F4-2533-30CA25AB4484]
    // </editor-fold> 
    public void setModo_juego (int val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D1A878A5-B212-32C2-1452-C2F232F514EF]
    // </editor-fold> 
    public int getNum_jugadores () {
        return 0;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.463E5FEB-8D51-7D89-0D3A-F360FDF301A6]
    // </editor-fold> 
    public void setNum_jugadores (int val) {
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.38B2C4BF-DC83-90D6-FC2D-EAFD55531538]
    // </editor-fold> 
    public void turno (int jugador) {
    }

}

